# $Revision: 1.49 $, $Date: 2002/11/17 21:48:48 $
Summary:	GNU Octave -- a high-level language for numerical computations
Summary(es):	GNU Octave - Un programa para clculo numrico y matricial
Summary(pl):	GNU Octave -- jzyk programowania do oblicze numerycznych
Summary(pt_BR):	GNU Octave - Um programa para clculo numrico e matricial
Name:		octave
Version:	2.1.39
Release:	3
Epoch:		2
License:	GPL
Group:		Applications/Math
Source0:	ftp://ftp.che.wisc.edu/pub/octave/bleeding-edge/%{name}-%{version}.tar.bz2
Patch0:		%{name}-info.patch
Patch1:		%{name}-DESTDIR.patch
URL:		http://www.che.wisc.edu/octave/
BuildRequires:	bison
BuildRequires:	blas-devel
BuildRequires:	fftw-devel
BuildRequires:	flex
BuildRequires:	gcc-g77
BuildRequires:	hdf5-devel
BuildRequires:	lapack-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRequires:	texinfo
BuildRequires:	zlib-devel
Requires(post,postun):	/sbin/ldconfig
Requires:	gnuplot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Octave is a high-level language, primarily intended for numerical
computations. It provides a convenient command line interface for
solving linear and nonlinear problems numerically, and for performing
other numerical experiments using a language that is mostly compatible
with Matlab. It may also be used as a batch-oriented language.

Octave has extensive tools for solving common numerical linear algebra
problems, finding the roots of nonlinear equations, integrating
ordinary functions, manipulating polynomials, and integrating ordinary
differential and differential-algebraic equations. It is easily
extensible and customizable via user-defined functions written in
Octave's own language, or using dynamically loaded modules written in
C++, C, Fortran, or other languages.

%description -l es
GNU Octave - Un programa de clculo numrico y matricial. Posee
lenguaje de altonivel y ambiente interactivo para computacin
numrica, semejantes a los del Matlab.

%description -l pl
GNU Octave jest jzykiem programowania wysokiego poziomu przeznaczonym
gwnie do oblicze numerycznych. Octave jest w duym stopniu
kompatybilny z jzykiem Matlab. Pracowa mona wprost z linii polece
lub uruchamia programy stworzone za pomoc zewntrznego edytora.

%description -l pt_BR
GNU Octave - Um programa de clculo numrico e matricial. Possui
linguagem de alto nvel e ambiente interativo para computao numrica
semelhantes ao do Matlab.

%package devel
Summary:	Header files and devel docs for Octave
Summary(pl):	Pliki nagwkowe i dodatkowa dokumentacja Octave
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and devel docs for Octave.

%description devel -l pl
Pliki nagwkowe i dodatkowa dokumentacja Octave.

%package -n xemacs-octave-mode-pkg
Summary:	XEmacs mode for Octave
Summary(pl):	Tryb edycji plikw Octave dla XEmacsa
Group:		Applications/Editors/Emacs
Requires:	xemacs

%description -n xemacs-octave-mode-pkg
XEmacs mode for Octave.

%description -n xemacs-octave-mode-pkg -l pl
Tryb edycji plikw Octave dla XEmacsa.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%configure \
	--with-g77 \
	--enable-dl \
	--enable-shared \
	--enable-static=no \
	--enable-rpath \
	--enable-lite-kernel

%{__make}
%{__make} -C doc/faq Octave-FAQ.info
%{__make} -C doc/liboctave liboctave.info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_infodir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	octincludedir=$RPM_BUILD_ROOT%{_includedir} \
	octlibdir=$RPM_BUILD_ROOT%{_libdir}

ln -sf %{_includedir}/%{name} $RPM_BUILD_ROOT%{_includedir}/%{name}-%{version}

install doc/liboctave/*.info* $RPM_BUILD_ROOT%{_infodir}
install doc/faq/*.info* $RPM_BUILD_ROOT%{_infodir}

## xemacs-octave-mode-pkg
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/octave-mode
cp -a emacs/*.el $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/octave-mode
# add otags script or not (additional Requires: ctags)???
#cp -a emacs/otags $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp/octave-mode/auto-autoloads.el
(autoload 'run-octave "octave-inf" nil t)
(autoload 'octave-help "octave-hlp" nil t)
(autoload 'octave-mode "octave-mod" nil t)
(setq auto-mode-alist
      (cons '("\\\\.m$" . octave-mode) auto-mode-alist))
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS THANKS PROJECTS
%doc emacs examples doc/{interpreter,faq}/*.html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_infodir}/octave.info*
%{_infodir}/Octave-FAQ.info*
%{_mandir}/man1/*
%{_datadir}/octave

%files devel
%defattr(644,root,root,755)
%doc doc/refcard/refcard{-a4,}.* doc/liboctave/*.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/%{name}*
%{_infodir}/liboctave.info*

%files -n xemacs-octave-mode-pkg
%defattr(644,root,root,755)
%{_datadir}/xemacs-packages/lisp/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: octave.spec,v $
Revision 1.49  2002/11/17 21:48:48  kloczek
- updated to 2.1.39,
- move lubraries directly to %%{_libdir} (now isn't neccessary RPATH on octave
  to %%{_libdir}/octave-%%{version} and linker can correctly handle linking
  with liboctave (neccessary external programs which uses octave libraries),
- remove outdated gcc31 patch,
- added Epoch: 2 for allow upgrade from RH.

Revision 1.48  2002/11/02 14:06:34  qboosh
- merged two *.info patches and one more fix into single info patch
- release 10

Revision 1.47  2002/10/13 00:46:54  qboosh
- merged gcc31 patch from RH
- BR: blas-devel,lapack-devel,fftw-devel,hdf5-devel - used when detected
- use plain %%configure - configure was generated by ac 2.53

Revision 1.46  2002/09/19 11:44:02  undefine
- add link /usr/include/octave-%{version} to /usr/include/octave (changing
  only path will be not enought)
- release 9

Revision 1.45  2002/07/27 20:40:26  kloczek
- release 8.

Revision 1.44  2002/07/26 23:40:34  qboosh
- new %%doc

Revision 1.43  2002/05/06 15:51:45  kloczek
- cosmetics.

Revision 1.42  2002/05/06 15:51:02  kloczek
- updated to 2.1.36.

Revision 1.41  2002/02/23 04:05:44  kloczek
- adapterized.

Revision 1.40  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.39  2002/02/02 20:30:59  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.38  2002/01/18 02:14:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.37  2002/01/17 04:29:24  kloczek
- fixed Source url.

Revision 1.36  2002/01/16 11:55:28  filon
- fixed docs
- release 3

Revision 1.35  2001/11/21 02:18:09  kloczek
- fixed %postun,
- simplifications and cosmetics.

Revision 1.34  2001/10/03 16:40:51  filon
- added req for main pkg in devel
- release 2

Revision 1.33  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.31  2001/07/23 18:28:50  dobrek
-updated to 2.1.33

Revision 1.30  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.29  2000/12/05 22:59:34  klakier
- fixed emacs files location

Revision 1.28  2000/07/17 09:53:45  klakier
- // changed to //// (quoted) in auto-autoloads

Revision 1.27  2000/07/17 09:50:44  klakier
- added xemacs-octave-mode-pkg

Revision 1.26  2000/07/13 23:18:05  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.25  2000/07/11 16:16:27  klakier
- ver 2.0.16
- added DESTDIR patch

Revision 1.24  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.22  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.21  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.19  1999/11/19 05:34:49  kloczek
- release 3,
- build agains ncurses 5.0.

Revision 1.18  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.17  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.16  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.15  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed May 12 1999 Rafa Kleger-Rudomin <klakier@pg.gda.pl>
- added rebuilding additional info files from patched .texi
- removed READLINE_DIR="" LIBREADLINE="-lreadline" from make.

* Tue May 11 1999 Rafa Kleger-Rudomin <klakier@pg.gda.pl>
- added more html doc (I like it... :) )
- added a4 refcard to devel doc
- Octave-FAQ.info entry
- liboctave.info entry
- divided into octave, octave-devel

* Sun May  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- now package is FHS 2.0 compliant,
- added passing $RPM_OPT_FLAGS to fortran compile options (FFLAGS),
- link with system readline instead static included with octave,
- added gzipping %doc and man pages,
- added using %%{_target_platform} macro in ./configure parameters,
- added LDFLAGS="-s" to ./configure enviroment,
- install libraries in proper path (/usr/lib),
- changed permission to 755 on shared libraries,
- added stripping shared libs,
- added BuildPrereq: readline-devel, ncurses-devel, egcs-g77.

* Fri Apr 30 1999 Rafa Kleger-Rudomin <klakier@pg.gda.pl>
  [2.0.14-1]
- Adapt for PLD.

* Thu Jun 11 1998 Andrew Veliath <andrewtv@usa.net>
- Add %attr, build as user.

* Mon Jun 1 1998 Andrew Veliath <andrewtv@usa.net>
- Add BuildRoot, installinfo, require gnuplot, description from
  Octave's web page, update to Octave 2.0.13.

- Adapt from existing spec file.
